Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.lang
Interface ThrowableHandler

    public interface ThrowableHandler

The `ThrowableHandler` interface defines the error management mechanism for handler implementations. Error management implementations may process the reported error in any way necessary but the implementations should not throw any exceptions from this method. By definition, invocation of the `handle` method means that the error condition is handled by the implementation.

If an error condition should be wrapped and a new exception thrown, the calling code should not use the `ThrowableHelper.handle` methods to "handle" the error. Instead, the code should create the new error object with the triggering error object captured as its "cause"; see the `ThrowableHelper` for details.

Version:
  "$Revision: 1.2 $"
Author:
  Jan Nielsen

Method Summary
`void` | `handle(java.lang.Class client, java.lang.String property, java.lang.String[] objects, java.lang.Throwable cause)` Handles the error condition specified in the parameters.

Method Detail

### handle

    void handle(java.lang.Class client,
                java.lang.String property,
                java.lang.String[] objects,
                java.lang.Throwable cause)

  Handles the error condition specified in the parameters. The handler can use the client class to resolve the error message property name, and generate a localized message from the optional objects. Implementations should not throw any errors from this method, except `NullPointerException` if the client or error message property name is `null`.

  Parameters:
    `client` - client calling the handle method
    `property` - property name associated with error message
    `objects` - objects associated with the error message, or `null`
    `cause` - throwable condition which caused the error, or `null`
  Throws:
    `java.lang.NullPointerException` - if client or property is `null`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD